package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 无需打卡的日期类型(0.单个日期,1.时间段)枚举类
*
* @author zxfei
*/
public enum AddWayEnum {
    单个日期(0, "单个日期"),
    时间段(1, "时间段");
    private Integer value;
    private String desc;

    AddWayEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AddWayEnum getByValue(Integer value) {
        for (AddWayEnum addWayEnum : AddWayEnum.values()) {
            if (addWayEnum.getValue() == value) {
                return addWayEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AddWayEnum item : AddWayEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}